Package wx :: Module richtext :: Class RichTextBox

[frames | no frames]

## Type RichTextBox

         object --+
                  |
             Object --+
                      |
         RichTextObject --+
                          |
    RichTextCompositeObject --+
                              |
                             RichTextBox

Known Subclasses:
  `RichTextParagraph`, `RichTextParagraphLayoutBox`

This defines a 2D space to lay out objects.

Method Summary
RichTextBox | ``__init__`(self, parent)` This defines a 2D space to lay out objects.
| `Copy(self, obj)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent=None)
(Constructor)

This defines a 2D space to lay out objects.

  Parameters:
    `parent`
    (type=RichTextObject)

  Returns:
    RichTextBox
  Overrides:
    `wx.richtext.RichTextCompositeObject.__init__`

Property Details

### thisown

The membership flag

  Get Method:
    unknown-38353328(...)
  Set Method:
    unknown-38353448(...)

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:48:35 2007 | http://epydoc.sf.net